Package helma.main

# Class JettyServer

java.lang.Object
helma.main.JettyServer

public class JettyServer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.jetty.server.Server`
`http`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`org.eclipse.jetty.server.Server`
`getHttpServer()`
`static JettyServer`
`init(Server server, ServerConfig config)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### http

protected org.eclipse.jetty.server.Server http

## Method Details

### init

public static JettyServer init(Server server, ServerConfig config) throws IOException

Throws:
  `IOException`

### getHttpServer

public org.eclipse.jetty.server.Server getHttpServer()

### start

public void start() throws Exception

Throws:
  `Exception`

### stop

public void stop() throws Exception

Throws:
  `Exception`

### destroy

public void destroy()